<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="cn.exlive.mygpsonline.bean.FenceName" table="FenceName" schema="dbo" catalog="gserver_synth" dynamic-insert="true" dynamic-update="true">
        <id name="id" type="java.lang.Integer">
            <column name="id" />
            <generator class="native"></generator>
        </id>
        <property name="createtime" type="java.sql.Timestamp">
            <column name="createtime" length="23"  />
        </property>
        <property name="overduetime" type="java.sql.Timestamp">
            <column name="overduetime" length="23"  />
        </property>
        <property name="updatetime" type="java.sql.Timestamp">
            <column name="updatetime" length="23"  />
        </property>
        <property name="creater" type="java.lang.Integer">
            <column name="creater" not-null="true" />
        </property>
        <property name="gserverid" type="java.lang.String">
            <column name="gserverid" length="20"  />
        </property>
        <property name="name" type="java.lang.String">
            <column name="name" length="50"  />
        </property>
        <property name="memo" type="java.lang.String">
            <column name="memo" length="100"  />
        </property>
        <property name="fenceType" type="java.lang.Integer">
            <column name="fenceType"  />
        </property>
        <property name="shareType" type="java.lang.Integer">
            <column name="shareType" />
        </property>
        <property name="fenceAttr" type="java.lang.Integer">
            <column name="fenceAttr"  />
        </property>
        <property name="state" type="java.lang.Integer">
            <column name="state" />
        </property>
        <property name="visitCounter" type="java.lang.Integer">
            <column name="visitCounter"  />
        </property>
        <property name="travelMode" type="java.lang.Integer">
            <column name="travelMode"/>
        </property>
        <property name="avoidHighway" type="java.lang.Integer">
            <column name="avoidHighway"/>
        </property>
        <property name="color" type="java.lang.String">
            <column name="color" length="50" />
        </property>
        <property name="thickness" type="java.lang.Integer">
            <column name="thickness"/>
        </property>
        <property name="remark" type="java.lang.String">
            <column name="remark" length="100"/>
        </property>
    </class>
</hibernate-mapping>
